Zum Hauptinhalt springen
GET
/
communication-preferences
/
v3
/
status
/
email
/
{emailAddress}
Get subscription statuses for a contact
curl --request GET \
  --url https://api.hubapi.com/communication-preferences/v3/status/email/{emailAddress} \
  --header 'Authorization: Bearer <token>'
{
  "recipient": "<string>",
  "subscriptionStatuses": [
    {
      "description": "<string>",
      "id": "<string>",
      "name": "<string>",
      "sourceOfStatus": "BRAND_WIDE_STATUS",
      "status": "NOT_SUBSCRIBED",
      "brandId": 123,
      "legalBasis": "CONSENT_WITH_NOTICE",
      "legalBasisExplanation": "<string>",
      "preferenceGroupName": "<string>"
    }
  ]
}

Supported products

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

emailAddress
string
erforderlich

Antwort

successful operation

recipient
string
erforderlich

Email address of the contact.

subscriptionStatuses
object[]
erforderlich

A list of all of the contact's subscriptions statuses.

Last modified on April 9, 2026